### Get Billing Information

**GET** `/management/v3.0/billing`

#### Try it

##### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v3.0/billing \
  --header 'Authorization: Basic <encoded-value>'
```

##### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/management/v3.0/billing"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
```

##### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v3.0/billing', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

##### PHP

```php


```

#### Possible Responses

- **200**: Successful request
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

#### Response Format

```json
{
  "items": [
    {
      "organisationId": "<string>",
      "name": "<string>",
      "isDisabled": true,
      "conversations": [
        {
          "conversations": 123,
          "day": 123,
          "month": 123,
          "year": 123,
          "perChannel": [
            {
              "channel": "<string>",
              "conversations": 123
            }
          ]
        }
      ]
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

#### Error Response Formats

1. **400 Bad Request**

```json
   {
     "type": "Bad Request",
     "title": "Bad Request Error",
     "status": 400,
     "detail": "Validation failed. Missing payload.",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```
   
2. **401 Unauthorized**

```json
   {
     "type": "Unauthorized",
     "title": "Unauthorized Error",
     "status": 401,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 401,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```
   
3. **402 Payment Required**

```json
   {
     "type": "Payment Required",
     "title": "Payment Required Error",
     "status": 402,
     "detail": "Validation failed. Missing payload.",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 402,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```
   
4. **403 Forbidden**

```json
   {
     "type": "Forbidden",
     "title": "Forbidden Error",
     "status": 403,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
   ```
   
5. **404 Not Found**

```json
   {
     "type": "Not Found",
     "title": "Not Found Error",
     "status": 404,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {},
     "logLevel": "error"
   }
   ```

#### Headers
- **Authorization**: `string`, required, Basic Authentication used by routes designed for the Management-UI.
- **Accept**: `enum<string>`, specifies the expected media type in the response. Options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default: `application/json`.

#### Query Parameters
- **filter**: `string`, filter billing info by organisation name.
- **limit**: `integer`, max items to return; defaults to 25, max is 100.
- **skip**: `integer`, number of items to skip; defaults to 0.
- **sort**: `string`, order of results; format: `field:direction` (e.g., `name:asc`). Minimum length: 1.
- **next**: `string`, cursor for next page; length must be 24.
- **previous**: `string`, cursor for previous page; length must be 24.
